Bug 855306 - geo-replication with large number of small static files will have E2BIG errors in logs.
geo-replication with large number of small static files will have E2BIG error...
Status: CLOSED NEXTRELEASE
Product: GlusterFS
Classification: Community
Component: geo-replication (Show other bugs)
mainline
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Csaba Henk
:
Depends On: 855303 859173
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-07 06:18 EDT by Vijaykumar Koppad
Modified: 2014-08-24 20:49 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Too many arguments passed to rsync under heavy load Consequence: Random gysncd crashes; on some scenarios this was seen to accumulate to a critical mass and render the setup in a non-syncing state. Fix: Pass file list to rsync on stdin, not as arguments. Result: Works fine.
Story Points: ---
Clone Of: 855303
Environment:
Last Closed: 2013-03-19 03:34:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vijaykumar Koppad 2012-09-07 06:18:38 EDT
+++ This bug was initially created as a clone of Bug #855303 +++

Description of problem:
If the geo-replication started with large number of small static files (around 2000000 files) , you get errors saying E2BIG

Version-Release number of selected component (if applicable):RHS-2.0.z


How reproducible:Higher probabilty if you work with 


Steps to Reproduce:
1.create 2000000 files on the master.
2.Then start the geo-rep session between the master and slave. 
3.Then wait for the E2BIG errors to happen in log files. 
  
Actual results: You get E2BIG errors in geo-rep log files 


Expected results: shouldn't get such errors 


Additional info:
Comment 1 Csaba Henk 2013-03-19 03:34:13 EDT
Fixed by

http://review.gluster.org/3917

Note You need to log in before you can comment on or make changes to this bug.